<?php

/**
 * Typography Settings
 *
 * @package resort_motel
 */

// Typography Settings
$wp_customize->add_section(
    'resort_motel_typography_setting',
    array(
        'panel' => 'resort_motel_theme_options',
        'title' => esc_html__( 'Typography Settings', 'resort-motel' ),
    )
);

$wp_customize->add_setting(
    'resort_motel_site_title_font',
    array(
        'default'           => 'Raleway',
        'sanitize_callback' => 'resort_motel_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'resort_motel_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'resort-motel' ),
        'section'  => 'resort_motel_typography_setting',
        'settings' => 'resort_motel_site_title_font',
        'type'     => 'select',
        'choices'  => resort_motel_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'resort_motel_site_description_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'resort_motel_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'resort_motel_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'resort-motel' ),
		'section'  => 'resort_motel_typography_setting',
		'settings' => 'resort_motel_site_description_font',
		'type'     => 'select',
		'choices'  => resort_motel_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'resort_motel_header_font',
	array(
		'default'           => 'Playfair Display',
		'sanitize_callback' => 'resort_motel_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'resort_motel_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'resort-motel' ),
		'section'  => 'resort_motel_typography_setting',
		'settings' => 'resort_motel_header_font',
		'type'     => 'select',
		'choices'  => resort_motel_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'resort_motel_content_font',
	array(
		'default'           => 'Poppins',
		'sanitize_callback' => 'resort_motel_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'resort_motel_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'resort-motel' ),
		'section'  => 'resort_motel_typography_setting',
		'settings' => 'resort_motel_content_font',
		'type'     => 'select',
		'choices'  => resort_motel_get_all_google_font_families(),
	)
);
